File: 2266.txt

package info (click to toggle)
snort 2.9.7.0-5
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 55,000 kB
  • ctags: 38,464
  • sloc: ansic: 266,667; sh: 12,508; makefile: 2,908; yacc: 497; perl: 496; lex: 261; sed: 14
file content (60 lines) | stat: -rw-r--r-- 1,073 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
Rule:  

--
Sid:
2266

--
Summary:
This event is generated when an attempt is made to exploit a known
vulnerability in versions of Sendmail.

--
Impact:
Remote arbitrary code execution.

--
Detailed Information:
A vulnerability exists in the prescan() function used in Sendmail prior
to version 8.12.9. This function contains an error when converting a
character to an integer value while processing SMTP headers.

--
Affected Systems:
All systems using Sendmail.

--
Attack Scenarios:
An attacker could exploit this condition to process code of their
choosing and open a listening shell bound to a high port, thus opening the
system to further compromise.

--
Ease of Attack:
Simple. Exploit code exists.

--
False Positives:
None known.

--
False Negatives:
None known.

--
Corrective Action:
Upgrade Sendmail to the latest non-affected verison.

--
Contributors:
Sourcefire Vulnerability Research Team
Brian Caswell <bmc@sourcefire.com>
Nigel Houghton <nigel.houghton@sourcefire.com>

-- 
Additional References:

CERT:
http://www.cert.org/advisories/CA-2003-12.html

--